Bug 1724780

Summary: VM tab on create host has storage section missing when provider selected through hostgroup
Product: Red Hat Satellite Reporter: Sanket Jagtap <sjagtap>
Component: Host GroupAssignee: Ondřej Ezr <oezr>
Status: CLOSED ERRATA QA Contact: Mirek Długosz <mzalewsk>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 6.6.0CC: inecas, kgaikwad, mhulan, oezr, pgagne, supatil
Target Milestone: 6.6.0Keywords: Regression, Triaged
Target Release: UnusedFlags: oezr: needinfo-
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: foreman-1.22.0.24-1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-10-22 19:48:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
Error on web console none

Description Sanket Jagtap 2019-06-27 18:51:17 UTC
Created attachment 1585330 [details]
Error on web console

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a Hostgroup , add deploy by as Vmware compute resource
2. Create a Host , using the hostgroup, Vmware would be set
3. Go to Virtual Machine tab

Actual results:
No storage section , and cannot fetch resource pool

Expected results:
There should be a storage section and resource pool should be populated aganist selected Cluster

Additional info:
Remove the Vmware provider in create host wizard and re-select

Screenshot has firefox error

Chrome error:
3vmware.js:59 Uncaught TypeError: Cannot read property 'datastoresUrl' of undefined
    at vmware.js:59
    at Object.dispatch (index.js:8)
    at Object.t.onClusterChange (vmware.js:11)
    at HTMLSelectElement.onchange (new:1)
    at Object.trigger (jquery.js:7813)
    at HTMLSelectElement.<anonymous> (jquery.js:7875)
    at Function.each (jquery.js:365)
    at m.fn.init.each (jquery.js:137)
    at m.fn.init.trigger (jquery.js:7874)
    at r.triggerChange (select2.js:1168)

Comment 3 Chris Roberts 2019-06-28 18:45:26 UTC
During triage, we moved this to the hostgroup component because we are seeing this in more things than just VMware. 

A lot of times I see when a compute profile is added to a hostgroup and then verifying things are correct in each of the tabs, something is missing, etc yet if you go back to the compute profile it is filled in correctly with information. I have also noticed sometimes the hostgroup itself not pulling in things such as templates, os, etc.

Comment 4 Marek Hulan 2019-09-03 07:26:39 UTC
Created redmine issue https://projects.theforeman.org/issues/27764 from this bug

Comment 5 Bryan Kearney 2019-09-09 10:05:56 UTC
Upstream bug assigned to oezr

Comment 6 Bryan Kearney 2019-09-09 10:05:58 UTC
Upstream bug assigned to oezr

Comment 7 Bryan Kearney 2019-09-09 16:06:33 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27764 has been resolved.

Comment 8 Ondřej Ezr 2019-09-09 21:16:32 UTC
*** Bug 1742009 has been marked as a duplicate of this bug. ***

Comment 11 Justin Sherrill 2019-09-12 16:29:32 UTC
*** Bug 1748431 has been marked as a duplicate of this bug. ***

Comment 12 Mirek Długosz 2019-09-26 18:10:06 UTC
I could not reproduce the issue while creating the host, nor when editing existing host. All data was displayed, there were no errors in web console.

Tested on:
Satellite 6.6 snap 20
satellite-6.6.0-7.el7sat.noarch
tfm-rubygem-katello-3.12.0.26-1.el7sat.noarch
foreman-1.22.0.32-1.el7sat.noarch
pulp-server-2.19.1.1-1.el7sat.noarch

Comment 13 Bryan Kearney 2019-10-22 19:48:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172